SmlXmlAssembler Struct Reference
libsyncml API Internals » XML/WBXML API » Internal details of XML/WBXML API » XML Assembler Internals
Collaboration diagram for SmlXmlAssembler:

## Data Fields

xmlTextWriter * | writer
xmlBuffer * | header_buffer
GList * | statuses
GList * | commands
GList * | last_commands
GList * | parent_commands
GList * | parent_buffers
SmlSession * | session
SmlAssembler * | assembler
GMutex * | mutex
unsigned int | reserved_statuses
unsigned int | added_statuses
SmlBool | moreDataSet

## Detailed Description

Definition at line 68 of file sml_xml_assm_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/parser/sml_xml_assm_internals.h